## org.exist.util.hashtable
Class Object2LongIdentityHashMap

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.util.hashtable.Object2LongHashMap
              org.exist.util.hashtable.Object2LongIdentityHashMap

public class Object2LongIdentityHashMap
extends Object2LongHashMap

A hashtable which maps object keys to long values. Keys are compared by their object identity, i.e. two objects are equal if object1 == object2.

Author:
  Stephan Körnig, Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`Object2LongIdentityHashMap()`
`Object2LongIdentityHashMap(int iSize)`

Method Summary
`boolean` `containsKey(java.lang.Object key)`
`long` `get(java.lang.Object key)`
`long` `remove(java.lang.Object key)`

Methods inherited from class org.exist.util.hashtable.Object2LongHashMap
`iterator, put, stableIterator, valueIterator`

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Object2LongIdentityHashMap

    public Object2LongIdentityHashMap()

### Object2LongIdentityHashMap

    public Object2LongIdentityHashMap(int iSize)

Method Detail

### get

    public long get(java.lang.Object key)

  Overrides:
    `get` in class `Object2LongHashMap`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Overrides:
    `containsKey` in class `Object2LongHashMap`

### remove

    public long remove(java.lang.Object key)

  Overrides:
    `remove` in class `Object2LongHashMap`

Copyright (C) Wolfgang Meier. All rights reserved.